Package org.pgpainless.sop

# Class ArmorImpl

java.lang.Object
org.pgpainless.sop.ArmorImpl

All Implemented Interfaces:
  `sop.operation.Armor`

public class ArmorImpl extends Object implements sop.operation.Armor
Implementation of the

    armor

operation using PGPainless.

## Constructor Summary

Constructors
Constructor
Description
`ArmorImpl()`

## Method Summary

Modifier and Type
Method
Description
`sop.Ready`
`data(InputStream data)`
`sop.operation.Armor`
`label(sop.enums.ArmorLabel label)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface sop.operation.Armor

`data`

## Constructor Details

### ArmorImpl

public ArmorImpl()

## Method Details

### label

public sop.operation.Armor label(sop.enums.ArmorLabel label) throws sop.exception.SOPGPException.UnsupportedOption

Specified by:
  `label` in interface `sop.operation.Armor`
Throws:
  `sop.exception.SOPGPException.UnsupportedOption`

### data

public sop.Ready data(InputStream data) throws sop.exception.SOPGPException.BadData

Specified by:
  `data` in interface `sop.operation.Armor`
Throws:
  `sop.exception.SOPGPException.BadData`